Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config
Class ConfigModule

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.ConfigModule

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigModule

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: ConfigModule.java,v 1.5 2009/01/19 14:12:31 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`ConfigModule()`

Method Summary
`void` | `addFile(File vFile)`
`void` | `addFile(int index, File vFile)`
`void` | `deleteTuple()`
`java.util.Enumeration<? extends File>` | `enumerateFile()` Method enumerateFile.
`java.lang.String` | `getDefinitionRole()` Returns the value of field 'definitionRole'.
`DefinitionRoles` | `getDefinitionRoles()` Returns the value of field 'definitionRoles'.
`File[]` | `getFile()` Method getFile.Returns the contents of the collection in an Array.
`File` | `getFile(int index)` Method getFile.
`int` | `getFileCount()` Method getFileCount.
`java.lang.String` | `getFileMap()` Returns the value of field 'fileMap'.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`java.lang.String` | `getLabelRole()` Returns the value of field 'labelRole'.
`LabelTypeRoles` | `getLabelTypeRoles()` Returns the value of field 'labelTypeRoles'.
`java.lang.String` | `getPresentationRole()` Returns the value of field 'presentationRole'.
`java.lang.String` | `getTitle()` Returns the value of field 'title'.
`boolean` | `getTuple()` Returns the value of field 'tuple'.
`boolean` | `hasTuple()` Method hasTuple.
`boolean` | `isTuple()` Returns the value of field 'tuple'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllFile()`
`boolean` | `removeFile(File vFile)` Method removeFile.
`File` | `removeFileAt(int index)` Method removeFileAt.
`void` | `setDefinitionRole(java.lang.String definitionRole)` Sets the value of field 'definitionRole'.
`void` | `setDefinitionRoles(DefinitionRoles definitionRoles)` Sets the value of field 'definitionRoles'.
`void` | `setFile(File[] vFileArray)`
`void` | `setFile(int index, File vFile)`
`void` | `setFileMap(java.lang.String fileMap)` Sets the value of field 'fileMap'.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setLabelRole(java.lang.String labelRole)` Sets the value of field 'labelRole'.
`void` | `setLabelTypeRoles(LabelTypeRoles labelTypeRoles)` Sets the value of field 'labelTypeRoles'.
`void` | `setPresentationRole(java.lang.String presentationRole)` Sets the value of field 'presentationRole'.
`void` | `setTitle(java.lang.String title)` Sets the value of field 'title'.
`void` | `setTuple(boolean tuple)` Sets the value of field 'tuple'.
`static ConfigModule` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigModule

    public ConfigModule()

Method Detail

### addFile

    public void addFile(File vFile)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vFile` - is a file
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addFile

    public void addFile(int index,
                        File vFile)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` - is the index
    `vFile` - is a file
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### deleteTuple

    public void deleteTuple()

### enumerateFile

    public java.util.Enumeration<? extends File> enumerateFile()

  Method enumerateFile.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.File elements

### getDefinitionRole

    public java.lang.String getDefinitionRole()

  Returns the value of field 'definitionRole'.

  Returns:
    the value of field 'DefinitionRole'.

### getDefinitionRoles

    public DefinitionRoles getDefinitionRoles()

  Returns the value of field 'definitionRoles'.

  Returns:
    the value of field 'DefinitionRoles'.

### getFile

    public File getFile(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getFile.

  Parameters:
    `index` - is the index
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.File at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getFile

    public File[] getFile()

  Method getFile.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getFileCount

    public int getFileCount()

  Method getFileCount.

  Returns:
    the size of this collection

### getFileMap

    public java.lang.String getFileMap()

  Returns the value of field 'fileMap'.

  Returns:
    the value of field 'FileMap'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getLabelRole

    public java.lang.String getLabelRole()

  Returns the value of field 'labelRole'.

  Returns:
    the value of field 'LabelRole'.

### getLabelTypeRoles

    public LabelTypeRoles getLabelTypeRoles()

  Returns the value of field 'labelTypeRoles'.

  Returns:
    the value of field 'LabelTypeRoles'.

### getPresentationRole

    public java.lang.String getPresentationRole()

  Returns the value of field 'presentationRole'.

  Returns:
    the value of field 'PresentationRole'.

### getTitle

    public java.lang.String getTitle()

  Returns the value of field 'title'.

  Returns:
    the value of field 'Title'.

### getTuple

    public boolean getTuple()

  Returns the value of field 'tuple'.

  Returns:
    the value of field 'Tuple'.

### hasTuple

    public boolean hasTuple()

  Method hasTuple.

  Returns:
    true if at least one Tuple has been added

### isTuple

    public boolean isTuple()

  Returns the value of field 'tuple'.

  Returns:
    the value of field 'Tuple'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` - is the out
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllFile

    public void removeAllFile()

### removeFile

    public boolean removeFile(File vFile)

  Method removeFile.

  Parameters:
    `vFile` - is a file
  Returns:
    true if the object was removed from the collection.

### removeFileAt

    public File removeFileAt(int index)

  Method removeFileAt.

  Parameters:
    `index` - is the index
  Returns:
    the element removed from the collection

### setDefinitionRole

    public void setDefinitionRole(java.lang.String definitionRole)

  Sets the value of field 'definitionRole'.

  Parameters:
    `definitionRole` - the value of field 'definitionRole'.

### setDefinitionRoles

    public void setDefinitionRoles(DefinitionRoles definitionRoles)

  Sets the value of field 'definitionRoles'.

  Parameters:
    `definitionRoles` - the value of field 'definitionRoles'.

### setFile

    public void setFile(int index,
                        File vFile)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` - is the index
    `vFile` - is a file
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setFile

    public void setFile(File[] vFileArray)

  Parameters:
    `vFileArray` - is a file Array

### setFileMap

    public void setFileMap(java.lang.String fileMap)

  Sets the value of field 'fileMap'.

  Parameters:
    `fileMap` - the value of field 'fileMap'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setLabelRole

    public void setLabelRole(java.lang.String labelRole)

  Sets the value of field 'labelRole'.

  Parameters:
    `labelRole` - the value of field 'labelRole'.

### setLabelTypeRoles

    public void setLabelTypeRoles(LabelTypeRoles labelTypeRoles)

  Sets the value of field 'labelTypeRoles'.

  Parameters:
    `labelTypeRoles` - the value of field 'labelTypeRoles'.

### setPresentationRole

    public void setPresentationRole(java.lang.String presentationRole)

  Sets the value of field 'presentationRole'.

  Parameters:
    `presentationRole` - the value of field 'presentationRole'

### setTitle

    public void setTitle(java.lang.String title)

  Sets the value of field 'title'.

  Parameters:
    `title` - the value of field 'title'.

### setTuple

    public void setTuple(boolean tuple)

  Sets the value of field 'tuple'.

  Parameters:
    `tuple` - the value of field 'tuple'.

### unmarshal

    public static ConfigModule unmarshal(java.io.Reader reader)
                                  throws org.exolab.castor.xml.MarshalException,
                                         org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.ConfigModule
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD